Support » Plugin: WP Slick Slider and Image Carousel » Compatibility issues with a3 Lazy Load.

  • Resolved Steve Truman

    (@a3rev)


    Hi,

    Just reaching out – we have had a support ticket about images not showing in the slider when our a3 Lazy Load plugin is used on the site.

    Have downloaded your slider and looked at the code. There is no way to add lazy load or exclude the slider from Lazy Load. I see there are 2 options to resolve this.

    1. I see that slick.js have its own Lazy Load which looks dead simple to implement

    // To use lazy loading, set a data-lazy attribute
    // on your img tags and leave off the src
    
    <img data-lazy="img/lazyfonz1.png"/>
    
    $('.lazy').slick({
      lazyLoad: 'ondemand',
      slidesToShow: 3,
      slidesToScroll: 1
    });

    Doing that would resolve the conflict.

    If for whatever reason you do not want to do that – the second option would be to add a filter on the image tags that we could use to exclude it from lazy load. Example:

    <img class=“slick-image-slide” … />

    With that we could then hard code exclude lazy load for slick-image-slide

    Of course it would be preferable if you added the slick.js lazyload function and would mean that you slide users could use any lazy load plugin (not just mine) to lazy Load all other images, videos and iframes on their site (which they can with a3 Lazy Load)

    Thanks
    Steve

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Support Rafik

    (@rafikwp)

    Hello,

    Thanks for your suggestion we will check and thinks about it.

    Thanks

    @rafikwp

    Ok thanks -please let me know if you go down the classname route – then we can hard code to exclude the images in Slick Slider.

    Regards

    Steve

    Plugin Support Rafik

    (@rafikwp)

    Hello,

    We will go with your first given option but we need one or two weeks then we will update the plugin because currently, we are busy with other work.

    For now, you can modify the plugin with your first option, we will add a shortcode parameter for this option in the next plugin update.

    Thanks

    • This reply was modified 9 months ago by Rafik.
    Plugin Author Anoop Ranawat

    (@anoopranawat)

    Hello @a3rev

    We have updated the plugin to V1.9.2
    Please update the plugin and send us your feedback 🙂

    = 1.9.2 (05, March 2020) =
    * [+] Added new shortcode parameter lazyload=”ondemand” OR lazyload=”progressive” for both shortcodes.

    Plugin Author Anoop Ranawat

    (@anoopranawat)

    Hello @a3rev

    Is there any feedback?

    Hello @anoopranawat

    Sorry for the late reply – we like you no doubt have been busy getting ready for WordPress 5.4 release.

    Have tested it today and a3 Lazy Load works fine with both parameters.

    Thanks

    Steve

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Compatibility issues with a3 Lazy Load.’ is closed to new replies.